Bug 192143 - WPA idle timeout causes loss of connection
WPA idle timeout causes loss of connection
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Depends On:
  Show dependency treegraph
Reported: 2006-05-17 16:56 EDT by Thomas M Steenholdt
Modified: 2008-05-06 11:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:54:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
NM log of the problem as it happens (May 17 at 00:30 connection dies, at 7:xx i reconnect manually to get it going again) (108.66 KB, text/plain)
2006-05-17 16:56 EDT, Thomas M Steenholdt
no flags Details

  None (edit)
Description Thomas M Steenholdt 2006-05-17 16:56:25 EDT
Description of problem:
I have a Zyxel G-1000 access point, configured for WPA(2)-PSK. For this I have a
couple of timer options to set. ReAuthentication timer (set to 1800 secs) and an
Idle timeout (3600 secs).
Now - I do think Zyxel have a bug here, since connection idles out even though
i'm doing timely reauthentications (correct me if i'm wrong here) - But i still
think i see a problem with nm/wpa_supplicant (component or interop???).
Upon reaching the idle timeout, the AP essentially disconnects me. NM (or
wpa_supplicant) discovers this and reconnects. Great. But it only works a few
times, then my connection stays down until i manually select to re-connect using
the NM list.

Version-Release number of selected component (if applicable):
driver: madwifi-ng rev 1556

How reproducible:

Steps to Reproduce:
1. connect to Zyxel AP configured for WPA-PSK or WPA2-PSK
2. leave computer alone over night (no network activity)
3. check connection in the morning
Actual results:

Expected results:
still connected

Additional info:
like i mentioned, i do believe Zyxel has a bug that really triggers the problem,
but NM/wpa_supplicant should at least be able to keep reconnecting endlessly
without problems. right?
Comment 1 Thomas M Steenholdt 2006-05-17 16:56:25 EDT
Created attachment 129366 [details]
NM log of the problem as it happens (May 17 at 00:30 connection dies, at 7:xx i reconnect manually to get it going again)
Comment 2 Bug Zapper 2008-04-03 22:54:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:54:50 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.